# -*-makefile-*-
# $Id: template-make 8785 2008-08-26 07:48:06Z wsa $
#
# Copyright (C) 2008 by Robert Schwebel <r.schwebel@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PHYCORE_GST_EXAMPLES) += phycore-gst-examples

#
# Paths and names
#
PHYCORE_GST_EXAMPLES_VERSION	:= 1.1.2
PHYCORE_GST_EXAMPLES		:= phycore-gst-examples-$(PHYCORE_GST_EXAMPLES_VERSION)
PHYCORE_GST_EXAMPLES_SUFFIX	:= tar.gz
PHYCORE_GST_EXAMPLES_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/$(PHYCORE_GST_EXAMPLES)/
PHYCORE_GST_EXAMPLES_SOURCE	:=
PHYCORE_GST_EXAMPLES_DIR	:= $(BUILDDIR)/$(PHYCORE_GST_EXAMPLES)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(PHYCORE_GST_EXAMPLES_SOURCE):
	@$(call targetinfo)
	@$(call get, PHYCORE_GST_EXAMPLES)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-gst-examples.extract:
	@$(call targetinfo)
	@$(call clean, $(PHYCORE_GST_EXAMPLES_DIR))
	@$(call extract, PHYCORE_GST_EXAMPLES)
	@$(call patchin, PHYCORE_GST_EXAMPLES)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

PHYCORE_GST_EXAMPLES_PATH	:= PATH=$(CROSS_PATH)
PHYCORE_GST_EXAMPLES_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
PHYCORE_GST_EXAMPLES_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/phycore-gst-examples.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-gst-examples.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-gst-examples.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-gst-examples.targetinstall:
	@$(call targetinfo)

	@$(call install_init, phycore-gst-examples)
	@$(call install_fixup, phycore-gst-examples,PACKAGE,phycore-gst-examples)
	@$(call install_fixup, phycore-gst-examples,PRIORITY,optional)
	@$(call install_fixup, phycore-gst-examples,VERSION,$(PHYCORE_GST_EXAMPLES_VERSION))
	@$(call install_fixup, phycore-gst-examples,SECTION,base)
	@$(call install_fixup, phycore-gst-examples,AUTHOR,"Robert Schwebel <r.schwebel@pengutronix.de>")
	@$(call install_fixup, phycore-gst-examples,DEPENDS,)
	@$(call install_fixup, phycore-gst-examples,DESCRIPTION,missing)

	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
		$(PHYCORE_GST_EXAMPLES_DIR)/func.sh, \
		/home/$(PHYCORE_GST_EXAMPLES)/func.sh, n)

	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
		$(PHYCORE_GST_EXAMPLES_DIR)/bwcam-fbdev_240x320, \
		/home/$(PHYCORE_GST_EXAMPLES)/bwcam-fbdev_240x320, n)

	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
		$(PHYCORE_GST_EXAMPLES_DIR)/bwcam-fbdev_640x480, \
		/home/$(PHYCORE_GST_EXAMPLES)/bwcam-fbdev_640x480)

	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
		$(PHYCORE_GST_EXAMPLES_DIR)/bwcam-xv, \
		/home/$(PHYCORE_GST_EXAMPLES)/bwcam-xv, n)

#	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
#		$(PHYCORE_GST_EXAMPLES_DIR)/bwcam-mpeg4, \
#		/home/$(PHYCORE_GST_EXAMPLES)/bwcam-mpeg4)

	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
		$(PHYCORE_GST_EXAMPLES_DIR)/colcam-fbdev_240x320, \
		/home/$(PHYCORE_GST_EXAMPLES)/colcam-fbdev_240x320, n)

	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
		$(PHYCORE_GST_EXAMPLES_DIR)/colcam-fbdev_640x480, \
		/home/$(PHYCORE_GST_EXAMPLES)/colcam-fbdev_640x480, n)

	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
		$(PHYCORE_GST_EXAMPLES_DIR)/colcam-xv, \
		/home/$(PHYCORE_GST_EXAMPLES)/colcam-xv, n)

#	@$(call install_copy, phycore-gst-examples, 0, 0, 0755, \
#		$(PHYCORE_GST_EXAMPLES_DIR)/colcam-mpeg4, \
#		/home/$(PHYCORE_GST_EXAMPLES)/colcam-mpeg4)

	@$(call install_finish, phycore-gst-examples)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

phycore-gst-examples_clean:
	rm -rf $(STATEDIR)/phycore-gst-examples.*
	rm -rf $(PKGDIR)/phycore-gst-examples_*
	rm -rf $(PHYCORE_GST_EXAMPLES_DIR)

# vim: syntax=make
