# -*-makefile-*-
# $Id: template-make 8785 2008-08-26 07:48:06Z wsa $
#
# Copyright (C) 2008 by Robert Schwebel <r.schwebel@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
ifeq ($(PTXCONF_PLATFORM), phyCORE-i.MX27)
PACKAGES-$(PTXCONF_PHYCORE_SCALER) += phycore-scaler
endif

#
# Paths and names
#
PHYCORE_SCALER_VERSION	:= 1.0.0

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-scaler.extract:
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-scaler.prepare:
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-scaler.compile:
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-scaler.install:
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-scaler.targetinstall:
	@$(call targetinfo)

	@$(call install_init, phycore-scaler)
	@$(call install_fixup, phycore-scaler,PACKAGE,phycore-scaler)
	@$(call install_fixup, phycore-scaler,PRIORITY,optional)
	@$(call install_fixup, phycore-scaler,VERSION,$(PHYCORE_SCALER_VERSION))
	@$(call install_fixup, phycore-scaler,SECTION,base)
	@$(call install_fixup, phycore-scaler,AUTHOR,"Juergen Beisert <j.beisert@pengutronix.de>")
	@$(call install_fixup, phycore-scaler,DEPENDS,)
	@$(call install_fixup, phycore-scaler,DESCRIPTION,missing)

	@$(call install_copy, phycore-scaler, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/init.d/phycore-scaler, \
		/etc/init.d/phycore-scaler, n)

	@$(call install_link, phycore-scaler, \
		../init.d/phycore-scaler, \
		/etc/rc.d/S09scaler)

	@$(call install_finish, phycore-scaler)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

phycore-scaler_clean:
	rm -rf $(STATEDIR)/phycore-scaler.*
	rm -rf $(PKGDIR)/phycore-scaler_*

# vim: syntax=make
